# Class LineGeometry

#### Hierarchy (View Summary)

- LineSegmentsGeometry
  - LineGeometry

- Defined in lib/line/utils/LineGeometry.ts:4

##### Index

### Constructors

constructor

### Methods

applyMatrix4
computeBoundingBox
computeBoundingSphere
copy
fromEdgesGeometry
fromLine
fromLineSegments
fromMesh
fromWireframeGeometry
setColors
setPositions
toJSON

## Constructors

### constructor

- new LineGeometry(): LineGeometry

  #### Returns LineGeometry

  Overrides LineSegmentsGeometry.constructor

  - Defined in lib/line/utils/LineGeometry.ts:6

## Methods

### applyMatrix4

- applyMatrix4(matrix: Matrix4): LineGeometry

  Bakes matrix transform directly into vertex coordinates.

  #### Parameters

  - matrix: Matrix4

  #### Returns LineGeometry

  Inherited from LineSegmentsGeometry.applyMatrix4

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:18

### computeBoundingBox

- computeBoundingBox(): void

  Computes bounding box of the geometry, updating Geometry.boundingBox attribute. Bounding boxes aren't computed by default. They need to be explicitly computed, otherwise they are null.

  #### Returns void

  Inherited from LineSegmentsGeometry.computeBoundingBox

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:96

### computeBoundingSphere

- computeBoundingSphere(): void

  Computes bounding sphere of the geometry, updating Geometry.boundingSphere attribute. Bounding spheres aren't' computed by default. They need to be explicitly computed, otherwise they are null.

  #### Returns void

  Inherited from LineSegmentsGeometry.computeBoundingSphere

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:110

### copy

- copy(): LineGeometry

  #### Returns LineGeometry

  Overrides LineSegmentsGeometry.copy

  - Defined in lib/line/utils/LineGeometry.ts:58

### fromEdgesGeometry

- fromEdgesGeometry(geometry: EdgesGeometry): LineGeometry

  #### Parameters

  - geometry: EdgesGeometry

  #### Returns LineGeometry

  Inherited from LineSegmentsGeometry.fromEdgesGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:73

### fromLine

- fromLine(line: Line): LineGeometry

  #### Parameters

  - line: Line

  #### Returns LineGeometry

  - Defined in lib/line/utils/LineGeometry.ts:45

### fromLineSegments

- fromLineSegments(lineSegments: LineSegments): LineGeometry

  #### Parameters

  - lineSegments: LineSegments

  #### Returns LineGeometry

  Inherited from LineSegmentsGeometry.fromLineSegments

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:84

### fromMesh

- fromMesh(mesh: Mesh): LineGeometry

  #### Parameters

  - mesh: Mesh

  #### Returns LineGeometry

  Inherited from LineSegmentsGeometry.fromMesh

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:78

### fromWireframeGeometry

- fromWireframeGeometry(geometry: WireframeGeometry): LineGeometry

  #### Parameters

  - geometry: WireframeGeometry

  #### Returns LineGeometry

  Inherited from LineSegmentsGeometry.fromWireframeGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:68

### setColors

- setColors(array: ArrayLike<number>): LineGeometry

  #### Parameters

  - array: ArrayLike<number>

  #### Returns LineGeometry

  Overrides LineSegmentsGeometry.setColors

  - Defined in lib/line/utils/LineGeometry.ts:28

### setPositions

- setPositions(array: ArrayLike<number>): LineGeometry

  #### Parameters

  - array: ArrayLike<number>

  #### Returns LineGeometry

  Overrides LineSegmentsGeometry.setPositions

  - Defined in lib/line/utils/LineGeometry.ts:11

### toJSON

- toJSON(): void

  #### Returns void

  Inherited from LineSegmentsGeometry.toJSON

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:145